org.bouncycastle.asn1.cmc

## Class BodyPartReference

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.BodyPartReference

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class BodyPartReference
      extends ASN1Object
      implements ASN1Choice

       BodyPartReference ::= CHOICE {
          bodyPartID           BodyPartID,
          bodyPartPath         BodyPartPath
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyPartReference(BodyPartID bodyPartID)`
    `BodyPartReference(BodyPartPath bodyPartPath)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartID` | `getBodyPartID()`
    `BodyPartPath` | `getBodyPartPath()`
    `static BodyPartReference` | `getInstance(java.lang.Object obj)`
    `boolean` | `isBodyPartID()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BodyPartReference

          public BodyPartReference(BodyPartID bodyPartID)

    - #### BodyPartReference

          public BodyPartReference(BodyPartPath bodyPartPath)

  - ### Method Detail

    - #### getInstance

          public static BodyPartReference getInstance(java.lang.Object obj)

    - #### isBodyPartID

          public boolean isBodyPartID()

    - #### getBodyPartID

          public BodyPartID getBodyPartID()

    - #### getBodyPartPath

          public BodyPartPath getBodyPartPath()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.